Trying to get the Exchange driver to work on a EX5.0 SP2 box..

Looked at the requirements for the Exchange driver, says Exchange 5.5 SP 4
or later.

Has anyone had success with a EX 5.0 SP 2 system? Mine connects, but am
getting a MSExchangeDSImp 260 error and I don't see anything anywhere about
resolving it. Any ideas? Or will it just flat out not work?

Thanks.
Bryan